在 Subreddit 内搜索
curl --request GET \
--url https://api.aisa.one/apis/v1/reddit/subreddit/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/reddit/subreddit/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/reddit/subreddit/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"posts": [
{
"id": "t3_8gmjrb",
"post_id": "t3_8gmjrb",
"title": "Is doing 50-100 pushups a day doing anything?",
"url": "https://www.reddit.com/r/Fitness/comments/8gmjrb/is_doing_50100_pushups_a_day_doing_anything/",
"permalink": "/r/Fitness/comments/8gmjrb/is_doing_50100_pushups_a_day_doing_anything/",
"nsfw": false,
"spoiler": false,
"is_crosspost": false,
"subreddit": {
"id": "t5_2qhx4",
"name": "Fitness",
"nsfw": false,
"quarantined": false,
"icon": "https://b.thumbs.redditmedia.com/Ted4KOMuRbaCYlDS55cTqjpVVZ2ENHKtYFbBFjI1i2o.png",
"banner": null,
"description": "A place for the pursuit of physical fitness goals.\n\nPlease see the r/Fitness Wiki and FAQ at https://thefitness.wiki for help with common questions.",
"weekly_visitors": 898726,
"weekly_contributions": 1827
},
"votes": 1414,
"num_comments": 582,
"created_at": "2018-05-03T01:09:17.620000+0000",
"created_at_iso": "2018-05-03T01:09:17.620Z",
"thumbnail": null,
"thumbnail_blurred": false,
"position": 0,
"relative_position": 0
}
],
"comments": [
{
"id": "t1_nxf7p27",
"post_id": "t3_1q2p898",
"parent_comment_id": null,
"is_reply_to_comment": false,
"author": "Philser23",
"author_avatar": null,
"author_nsfw": false,
"body": "On the 30th my girlfriend out of the blue decided her new year's resolution would be to start going to the gym. I was so excited since none of my partners ever shared the fitness hobby with me.",
"body_html": "<p>On the 30th my girlfriend out of the blue decided her new year's resolution would be to start going to the gym...</p>",
"images": [],
"votes": 123,
"url": "https://www.reddit.com/r/Fitness/comments/1q2p898/gym_story_saturday/nxf7p27/",
"permalink": "/r/Fitness/comments/1q2p898/gym_story_saturday/nxf7p27/",
"created_at": "2026-01-03T11:26:02.434000+0000",
"created_at_iso": "2026-01-03T11:26:02.434Z",
"post": {
"id": "t3_1q2p898",
"title": "Gym Story Saturday",
"url": "https://www.reddit.com/r/Fitness/comments/1q2p898/gym_story_saturday/",
"permalink": "/r/Fitness/comments/1q2p898/gym_story_saturday/",
"nsfw": false,
"spoiler": false,
"votes": 67,
"num_comments": 80,
"created_at": "2026-01-03T08:15:49.709000+0000",
"created_at_iso": "2026-01-03T08:15:49.709Z"
},
"subreddit": {
"id": "t5_2qhx4",
"name": "Fitness",
"nsfw": false,
"quarantined": false,
"icon": "https://b.thumbs.redditmedia.com/Ted4KOMuRbaCYlDS55cTqjpVVZ2ENHKtYFbBFjI1i2o.png"
},
"position": 0
}
],
"media": [
{
"id": "t3_geo4x",
"title": "Bodyweight training for really strong people. See on you're own what I mean with strong. (Not me)",
"url": "https://www.reddit.com/r/Fitness/comments/geo4x/bodyweight_training_for_really_strong_people_see/",
"permalink": "/r/Fitness/comments/geo4x/bodyweight_training_for_really_strong_people_see/",
"media_type": "image",
"video": null,
"image": {
"src": "https://external-preview.redd.it/X6lz5yGIzqVA5LcI9w-FsQJJHhXoCugDhsXgWW3I404.jpg?format=pjpg&auto=webp&s=46814b0a707a532e39e6c20851ddc1fefb0a111f",
"width": 480,
"height": 360,
"resolutions": [
{
"url": "https://external-preview.redd.it/X6lz5yGIzqVA5LcI9w-FsQJJHhXoCugDhsXgWW3I404.jpg?width=320&crop=smart&format=pjpg&auto=webp&s=144ac4171a1862e5d91d8dd90d44271e22a8273d",
"width": 320
}
]
},
"gallery_count": null,
"aspect_ratio": 1.3333333333333333,
"nsfw": false,
"spoiler": false,
"is_blurred": false,
"subreddit": {
"id": "t5_2qhx4",
"name": "Fitness",
"nsfw": false,
"quarantined": false
},
"position": 0,
"safe_search": "UNAVAILABLE"
}
],
"cursor": "eyJjYW5kaWRhdGVzX3JldHVybmVkIjoie1wic2VjdGlvbl8xX3BpcGVsaW5lXzBfZ2xvYmFsX21vZGlmaWVyc1wiOlwiM1wiLFwic2VjdGlvbl8xX3BpcGVsaW5lXzFfbG9jYWxfbW9kaWZpZXJzXCI6XCIzXCIsXCJzZWN0aW9uXzJfcGlwZWxpbmVfNl9zY29wZV9zd2l0Y2hlclwiOlwiMFwiLFwic2VjdGlvbl8yX3BpcGVsaW5lXzdfcG9zdF9zZWFyY2hcIjpcIjdcIn0ifQ=="
}Reddit API
在 Subreddit 内搜索
在 Subreddit 内搜索
GET
https://api.aisa.one/apis/v1
/
reddit
/
subreddit
/
search
在 Subreddit 内搜索
在单个 subreddit 中搜索帖子。
示例
curl "https://api.aisa.one/apis/v1/reddit/subreddit/search?subreddit=VALUE" \
-H "Authorization: Bearer YOUR_API_KEY"
授权
AIsa API 密钥。前往 https://aisa.one 获取
查询参数
Subreddit 名称(例如 'Fitness',而不是 'r/Fitness' 或完整 URL)
用于查找匹配内容的搜索查询
排序顺序。对于帖子/媒体:relevance、hot、top、new、comments。对于评论:relevance、top、new
可用选项:
relevance, hot, top, new, comments 用于筛选结果的时间范围
可用选项:
all, year, month, week, day, hour 用于获取更多结果的游标。从上一次响应中获取 'cursor'。
⌘I